/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Jan-01-2012 10:09:12pm
Filepath: scripts\events and scenarios\Halloween2011\Bosses\Herpekitus\HerpekitusRootCasting.cs
Lines of code: 56

Description: 

***********************************************************/


using System;
using System.Collections;
using Server;
using Server.Items;
using Server.Network;
using Server.Targeting;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName( "a root corpse" )]
	public class HerpekitusRootCasting : BaseCreature
	{
	
		public override bool DeleteCorpseOnDeath{ get{ return true; } }
		
		[Constructable]
		public HerpekitusRootCasting() : base( AIType.AI_Super, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a root";
			Body = 1245;
			Hue = 2075;
			BaseSoundID = 684;

			SetStr( 151, 225 );
			SetDex( 167, 178 );
			SetInt( 1000, 1500 );

			SetHits( 150, 200);

			SetDamage( 10, 15 );

			SetDamageType( ResistanceType.Physical, 30 );
			SetDamageType( ResistanceType.Poison, 70 );

			SetResistance( ResistanceType.Physical, 55, 60 );
			SetResistance( ResistanceType.Fire, 20, 30 );
			SetResistance( ResistanceType.Cold, 20, 30 );
			SetResistance( ResistanceType.Poison, 60, 80 );
			SetResistance( ResistanceType.Energy, 40, 50);

			SetSkill( SkillName.EvalInt, 40, 50 );
			SetSkill( SkillName.Magery, 80, 110 );
			SetSkill( SkillName.MagicResist, 110.1, 125.0 );
			Fame = 7500;
			Karma = -7500;
		}
		
		public override bool BleedImmune{ get{ return true; } }
		public override Poison PoisonImmune{ get{ return Poison.Lethal; } }
		public override bool Unprovokable{ get{ return true; } }

		public HerpekitusRootCasting( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}